Distribution:	CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	libshout is a library for connecting and sending data to icecast servers.
Name:		libshout
Version:	2.2.2
Release:	2
License:	GNU/GPL
URL:		http://www.icecast.org
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libogg-devel
BuildRequires: libtheora-devel
BuildRequires: libvorbis-devel
BuildRequires: pkg-config

%description
libshout is a library for connecting and sending data to icecast servers.

%package	devel
Summary:	%{name} development headers.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -qn %{name}-%{version}

%build
%configure \
--enable-shared \
--disable-debug
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/libshout.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/shout/shout.h
%{_libdir}/libshout.a
%{_libdir}/libshout.la
%{_libdir}/libshout.so
%{_pkgconfig}/shout.pc
%{_aclocal}/shout.m4
%{_docdir}/libshout/COPYING
%{_docdir}/libshout/example.c
%{_docdir}/libshout/NEWS
%{_docdir}/libshout/nonblocking.c
%{_docdir}/libshout/README


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Oct 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.2.2-2
- rebuilt
* Sat Sep 26 2009 Christian Wasem <wasem@ccux-linux.de> 2.2.2-1
- Version update
- rebuild against libtheora-1.1.0
* Fri Jun 17 2005 Christian Metzen <metzench@ccux-linux.de> 2.1-2
- Tweaked Specfile, moved static libs to devel package
* Wed Jun 15 2005 Stefan Gottwald <gotti@ccux-linux.de> 2.1-1
- Initial Release
